## useLandmarks

A custom hook containing react-query queries and mutations and other logic related to interacting with Landmark objects.

View Source src/hooks/useLandmarks.ts, line 8

# Members

#### # static queryClient

The local instance of the react-query QueryClient.

View Source src/hooks/useLandmarks.ts, line 19

#### # static queryClient

The local instance of the react-query QueryClient.

View Source src/hooks/useProfile.ts, line 18

# Methods

#### # async inner createLandmark()

The callback responsible for adding a new Landmark to the server, used by the react-query useMutation hook.

- @memberOf useLandmarks

View Source src/hooks/useLandmarks.ts, line 66

#### # async inner editLandmark()

The callback responsible for updating a Landmark on the server, used by the react-query useMutation hook.

- @memberOf useLandmarks

View Source src/hooks/useLandmarks.ts, line 96

#### # async inner getLandmarks()

The callback responsible for retrieving Landmark from the API, used by the react-query useQuery hook.

- @memberOf useLandmarks

View Source src/hooks/useLandmarks.ts, line 31

#### # async inner removeLandmark()

The callback responsible for deleting a Landmark from the server, used by the react-query useMutation hook.

- @memberOf useLandmarks

View Source src/hooks/useLandmarks.ts, line 127